import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that evaluates whether at least one element in the pipeline matches the provided predicate.
 *
 * @param predicate
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function anyMatch<IN>(predicate: (element: IN) => boolean): TerminalStage<IN, boolean>;
