import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that calculates the average of all numeric elements in the pipeline.
 * This collector throws an error if at least one element is not numeric.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 */
export declare function average<IN extends number>(): TerminalStage<IN, number>;
