import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that concatenates the input elements, separated by the specified delimiter, in encounter order.
 *
 * @param delimiter The delimiter to be used between each element.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function join<IN>(delimiter: string): TerminalStage<IN, string>;
