import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that lets only unique elements pass through.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function distinct<IN>(): IntermediateStage<IN, IN>;
