import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that transforms each element according the provided mapping function.
 *
 * @param mapper
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 * @template OUT The type parameter of each outgoing element to be forwarded to the downstream stage.
 *
 * @returns
 */
export declare function map<IN, OUT>(mapper: (element: IN) => OUT): IntermediateStage<IN, OUT>;
