import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that performs an action on each element.
 *
 * @param action The action to perform on each element.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function peek<IN>(action: (element: IN) => void): IntermediateStage<IN, IN>;
