import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that evaluates whether all elements in the pipeline match the provided predicate.
 *
 * @param predicate
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function allMatch<IN>(predicate: (element: IN) => boolean): TerminalStage<IN, boolean>;
