import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that finds and retrieves the very last element
 * in the pipeline. If no such element exists, `undefined` is returned.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 */
export declare function findLast<IN>(): TerminalStage<IN, IN>;
