import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that executes the given `action` on each pipeline element.
 *
 * @param action The action to execute on each pipeline element.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function forEach<IN>(action: (element: IN) => void): TerminalStage<IN, undefined>;
