import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that collects all elements in the pipeline into an array.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function toArray<IN>(): TerminalStage<IN, IN[]>;
