import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that filters out elements that do not match the provided predicate.
 *
 * @param predicate
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function filter<IN>(predicate: (element: IN) => boolean): IntermediateStage<IN, IN>;
