import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that only allows a fixed number of elements through the pipeline.
 *
 * @param value The number of elements allowed to flow through the pipeline.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function limit<IN>(value: number): IntermediateStage<IN, IN>;
